This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 857462 - RFE: Disable 'Purge' button on destination level when no deployment is LIVE
RFE: Disable 'Purge' button on destination level when no deployment is LIVE
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: RHQ 4.6
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 09:47 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:16:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-09-14 09:47:46 EDT
Description of problem: I have a bundle, that has been deployed to some destination and is already purged. So there is currently no LIVE deployment of this bundle. Then I navigate to my destination and click purge. I get meaningful error in message center.

It would be nice if purge button was disabled or not present at all when there's no LIVE deployment, because it would end in exception anyway.


Version-Release number of selected component (if applicable):
RHQ 4.5.0 master

How reproducible: always
Comment 1 Jirka Kremser 2012-10-08 09:13:35 EDT
fixed in master
http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=f4e6014

time:    Mon Oct 8 14:52:02 2012 +0200
commit:  f4e6014c04a1b6d7bb81c1392f49a372d4477f93
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 857462 - RFE: Disable 'Purge' button on destination level when no deployment is LIVE] If at least one deployment is LIVE the button is enabled, otherwise it is disabled. The call is made, when constructing the UI components.
Comment 2 Libor Zoubek 2013-04-02 05:32:23 EDT
verified on RHQ Version: 4.7.0-SNAPSHOT Build Number: bd0c492
Comment 3 Heiko W. Rupp 2013-08-31 06:16:51 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.